GMKPATH = ..
include	$(GMKPATH)/Makefile.config

CFLAGS = -I.. -I../nlib -I../libem $(COPT)
LDFLAGS = $(LDFL) -L.. -lemfw -lfwall -lemtn $(AUXLIB)

BINOBJS = cmd-gw cmd-tn
TBNOBJS = chkversion constchk
MANOBJS = cmd-gw.8
CKVOBJS = chkversion.o
CCKOBJS = constchk.o
CGWOBJS = cmd-gw.o
CTNOBJS = cmd-tn.o
ALLOBJS = $(CKVOBJS) $(CCKOBJS) $(CGWOBJS) $(CTNOBJS) $(TBNOBJS) $(BINOBJS) $(MANOBJS)

all: $(ALLOBJS)

cmd-gw:	$(CGWOBJS) ../libemfw.a ../libemtn.a ../libfwall.a
	$(OFWTKLINK) $(CGWOBJS)
	mv -f cmd-gw cmd-gw.tmp
	./cmd-gw.tmp -check
	mv -f cmd-gw.tmp cmd-gw

cmd-tn:	$(CTNOBJS)
	$(OFWTKLINK) $(CTNOBJS)

chkversion: $(CKVOBJS) ../libemfw.a
	$(OFWTKLINK) $(CKVOBJS)
	./chkversion

constchk: $(CCKOBJS)
	$(OFWTKLINK) $(CCKOBJS)
	./constchk
